from fastapi import APIRouter, status
from schemas.fruit import FruitCreate, FruitSchema
from helpers.fruit_helpers import create_fruit
from sqlalchemy.orm import Session
from fastapi import Depends
from core.database import get_db

router = APIRouter()

@router.post("/fruits", status_code=status.HTTP_201_CREATED, response_model=FruitSchema)
async def add_fruit(
    fruit: FruitCreate,
    db: Session = Depends(get_db)
):
    """Create a new fruit"""
    new_fruit = create_fruit(db=db, fruit_data=fruit)
    return new_fruit